Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class AreaElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<AreaElem>
                      sharin.doc.builder.xhtml1.AreaElem

    public class AreaElem

extends GenericCommonElem<AreaElem>

Constructor Summary
`AreaElem(Object... nodes)`

Method Summary
`AreaElem` | `accesskey(Object value)`
`AreaElem` | `alt(Object value)`
`AreaElem` | `coords(Object value)`
`AreaElem` | `href(Object value)`
`AreaElem` | `nohref(boolean nohref)`
`AreaElem` | `nohref(Object value)`
`AreaElem` | `onblur(Object value)`
`AreaElem` | `onfocus(Object value)`
`AreaElem` | `shape(Object value)`
`AreaElem` | `tabindex(Object value)`
`AreaElem` | `target(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AreaElem

    public AreaElem(Object... nodes)

Method Detail

### accesskey

    public AreaElem accesskey(Object value)

### alt

    public AreaElem alt(Object value)

### coords

    public AreaElem coords(Object value)

### href

    public AreaElem href(Object value)

### nohref

    public AreaElem nohref(boolean nohref)

### nohref

    public AreaElem nohref(Object value)

### onblur

    public AreaElem onblur(Object value)

### onfocus

    public AreaElem onfocus(Object value)

### shape

    public AreaElem shape(Object value)

### tabindex

    public AreaElem tabindex(Object value)

### target

    public AreaElem target(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.